Prima Pagina Apple Iata in ce conditii poti face restore de la iOS 5.x la...

Iata in ce conditii poti face restore de la iOS 5.x la iOS 5.x, sau downgrade de la iOS 6 pe iPhone 4S, iPad 2 sau iPad 3 folosind redsn0w 0.9.15 beta 1

  V-am spus acum aproape doua ore ca redsn0w 0.9.15 beta 1 a fost lansat de catre Dev Team si ca el va permite sa faceti restore de la iOS 5.x la iOS 5.x pe propriile iDevice-uri cu chip A5/A5x. In aceasta categorie intra doar iPhone 4S, iPad 2(inclusiv modelul 2012) si tableta iPad 3, iar daca va ganditi sa faceti downgrade de la iOS 6 la iOS 5, va anunt ca acest lucru este imposibil in momentul de fata pe iPhone 4S, iPad 3. Procedura de re-restore se poate face doar de la iOS 5.x la iOS 5.x si numai daca aveti SHSH-uri salvate in calculator sau in Cydia, in caz contrar nu puteti face restore decat la iOS 6. Pentru cei care se intreaba, nu exista iOS 5 pentru iPhone 5, deci nu veti avea vreodata posibilitatea de a face restore la asa ceva.

  Daca aveti un iPhone 4 sau alt iDevice lansat inaintea acestui terminal, atunci informatiile din acest articol nu se aplica in cazul vostru.

  Informatiile celor de la Dev Team sunt complexe, voi incerca sa vi le explic in termeni cat se poate de simpli si sper sa intelegeti ca in anumite cazuri nu puteti face restore tot la iOS 5 din cauza modului in care ati instalat acea versiune a iOS. Incep prin a va spune ca puteti face restore doar la versiuni fixe ale iOS pentru care aveti SHSH, adica de la 5.1.1 la 5.1.1, de la 5.1.1 la 5.0.1, de la 5.0.1 la 5.0.1, de la 5.0.1 la 5.1.1, alte combinatii fiind imposibile din cauza sistemului de verificare a restore-urilor. 5.0.1 si 5.1.1 sunt singurele versiuni ale iOS care va permit sa faceti jailbreak, deci la altceva nici nu cred ca aveti nevoie sa faceti restore.

  Nu puteti face restore de la iOS 5.x la iOS 5.x daca actuala versiune a iOS 5.x a fost instalata in iDevice-ul vostru printr-un OTA update direct din iOS folosind Settings>General>Software Update. Din pacate sistemul de restore gandit de catre Dev Team nu poate fi utilizat pe terminalele care au iOS 5.x instalat prin OTA Update, sau pe cele care au venit cu iOS 5 din fabrica si nu a fost facut un restore prin iTuns de la primire si pana acum. Daca ati facut OTA Update la iOS 5.x si dupa aceea ati facut un restore prin iTunes la iOS 5.x, atunci puteti folosi redsn0w pentru a face acum re-restore, acelasi lucru fiind valabil si pentru cei care au primit terminalele cu iOS 5.x instalat. Practic ramdisk-ul instalat de un OTA Update la iOS 5.x nu este utilizabil in acest proces de restore, dar un ramdisk instalat printr-un restore facut cu iTunes este utilizabil. Important este ca ultimul restore facut de voi la iOS 5.x sa fie prin iTunes, in caz contrar nu veti putea face acum re-restore la iOS 5.x cu redsn0w 0.9.15 beta 1. Aceasta situatie se aplica pentru iPhone 4S, iPad 2(inclusiv modelul 2012) si tableta iPad 3. Nu conteaza daca ati folosit un custom ipsw pentru restore-ul la iTunes, important este ca ultimul vostru restore sa fie facut cu iTunes. Puteti incerca procedura de restore, iTunes va va opri daca nu aveti un dispozitiv compaibil cu sistemul sau, iar din Recovery Mode scoateti dispozitivul folosind recovery fix-ul din redsn0w.

  Doar in cazul tabletelor iPad 2, indiferent de model, puteti face re-restore la iOS 5.x/4.x sau chiar un downgrade de la iOS 6 daca aveti SHSH-uri salvate pentru iOS 5.x sau 4.x. Daca nu aveti SHSH-uri pentru iOS 4.x, atunci nu puteti face downgrade de la iOS 6 la iOS 5.x sau 4.x, insa daca aveti SHSH-uri pentru iOS 5.x puteti face re-restore NUMAI de la iOS 5.x tot la iOS 5.x, alte combinatii fiind imposibile. Daca aveti doar SHSH-uri pentru iOS 4.x, atunci puteti face restore la iOS 4.x fara probleme si puteti face chiar downgrade de la iOS 6 la iOS 4.x, insa  iOS 5.x nu poate fi instalat pe tableta voastra.

  redsn0w 0.9.15 beta 1 nu poate pastra baseband-ul intact in timpul procesului de restore pe iPhone 4S, deci daca folositi redsn0w pentru un re-restore la iOS 5.x, veti actualiza si baseband-ul. Problema foarte mare nu exista din acest punct de vedere, deorece Gevey decodeaza deja toate baseband-urile terminalului iPhone 4S, deci nu pierdeti nimic. Ultrasn0w nu este compatibil cu iOS 6, deci nu il veti putea utiliza pe iPhone 4/3GS.

  Informatiile sunt complexe, va recomand sa salvati acest articol pentru a le avea in viitor, deoarece veti avea nevoie de ele.

UPDATE : Aici aflati cum puteti face update la iOS 6 fara a actualiza baseband-ul.

UPDATe 2Aici aflati cum puteti face jailbreak si hacktivare pentru iPhone 3GS si iPhone 4 pe iOS 6.